<?php
namespace nur\cli;

use nur\sery\wip\app\app2;

class BgApplication2 extends Application2 {
  const USE_LOGFILE = true;
  const USE_RUNFILE = true;
  const USE_RUNLOCK = true;

  const ARGS = [
    "merge" => parent::ARGS,

    ["--force-enabled", "value" => true,
      "help" => "lancer la commande même si les tâches planifiées sont désactivées",
    ],
  ];

  protected bool $forceEnabled = false;

  function main() {
    app2::check_bgapplication_enabled($this->forceEnabled);
  }
}
